
package de.ivu.elect.presentation.wahlvorschlag.table;

import de.ivu.elect.business.wahlvorschlag.entity.ReferendumOptionKumulierteStimmen;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class ReferendumOptionKumulierteStimmenKennungColumn extends AbstractReferendumOptionKumulierteStimmenColumn {

  private static final long serialVersionUID = 1L;

  public ReferendumOptionKumulierteStimmenKennungColumn(Messages messages) {
    super(messages);
  }

  @Override
  public Object getValue(ReferendumOptionKumulierteStimmen referendumOptionKumulierteStimmen) {
    return referendumOptionKumulierteStimmen.getKennung();
  }

  @Override
  public String getHeader() {
    return getMessage("referendum.option.kumulierte.stimmen.kennung");
  }

  @Override
  public ColumnType getType() {
    return ColumnType.STRING;
  }
}
